CREATE DATABASE IF NOT EXISTS entry_task_db CHARACTER SET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

USE entry_task_db;
SET default_storage_engine=INNODB;

CREATE TABLE IF NOT EXISTS `user_tab` (
  `user_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `username` VARCHAR(32) NOT NULL,
  `password` VARCHAR(256) NOT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY (`username`)
);


CREATE TABLE IF NOT EXISTS `tag_tab` (
  `tag_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(32) NOT NULL,
  `items` MEDIUMBLOB NOT NULL,
  PRIMARY KEY (`tag_id`),
  UNIQUE KEY (`name`)
);


CREATE TABLE IF NOT EXISTS `comment_tab` (
  `comment_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `content` VARCHAR(1024) NOT NULL,
  `publisher_id` INT UNSIGNED NOT NULL,
  `reply_to` INT UNSIGNED DEFAULT 0,
  `comment_on` INT UNSIGNED DEFAULT 0 ,
  `publish_date` INT UNSIGNED DEFAULT 0 not null,
  PRIMARY KEY (`comment_id`)
);


CREATE TABLE IF NOT EXISTS `item_tab_0` (
  `item_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(32) NOT NULL ,
  PRIMARY KEY (`item_id`),
  UNIQUE KEY (`name`)
) AUTO_INCREMENT = 1;

CREATE TABLE IF NOT EXISTS `item_tab_1` (
  `item_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(32) NOT NULL ,
  PRIMARY KEY (`item_id`),
  UNIQUE KEY (`name`)
) AUTO_INCREMENT = 10000001;

CREATE TABLE IF NOT EXISTS `item_tab_2` (
  `item_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(32) NOT NULL ,
  PRIMARY KEY (`item_id`),
  UNIQUE KEY (`name`)
) AUTO_INCREMENT = 20000001;

CREATE TABLE IF NOT EXISTS `item_tab_3` (
  `item_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(32) NOT NULL ,
  PRIMARY KEY (`item_id`),
  UNIQUE KEY (`name`)
) AUTO_INCREMENT = 30000001;

CREATE TABLE IF NOT EXISTS `item_tab_4` (
  `item_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(32) NOT NULL ,
  PRIMARY KEY (`item_id`),
  UNIQUE KEY (`name`)
) AUTO_INCREMENT = 40000001;

CREATE TABLE IF NOT EXISTS `item_tab_5` (
  `item_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(32) NOT NULL ,
  PRIMARY KEY (`item_id`),
  UNIQUE KEY (`name`)
) AUTO_INCREMENT = 50000001;


CREATE TABLE IF NOT EXISTS `detail_tab_0` (
  `detail_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `photo_url` VARCHAR(2083) NOT NULL,
  `desc` TEXT NOT NULL,
  PRIMARY KEY (`detail_id`)
) AUTO_INCREMENT = 1;

CREATE TABLE IF NOT EXISTS `detail_tab_1` (
  `detail_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `photo_url` VARCHAR(2083) NOT NULL,
  `desc` TEXT NOT NULL,
  PRIMARY KEY (`detail_id`)
) AUTO_INCREMENT = 10000001;

CREATE TABLE IF NOT EXISTS `detail_tab_2` (
  `detail_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `photo_url` VARCHAR(2083) NOT NULL,
  `desc` TEXT NOT NULL,
  PRIMARY KEY (`detail_id`)
) AUTO_INCREMENT = 20000001;

CREATE TABLE IF NOT EXISTS `detail_tab_3` (
  `detail_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `photo_url` VARCHAR(2083) NOT NULL,
  `desc` TEXT NOT NULL,
  PRIMARY KEY (`detail_id`)
) AUTO_INCREMENT = 30000001;

CREATE TABLE IF NOT EXISTS `detail_tab_4` (
  `detail_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `photo_url` VARCHAR(2083) NOT NULL,
  `desc` TEXT NOT NULL,
  PRIMARY KEY (`detail_id`)
) AUTO_INCREMENT = 40000001;

CREATE TABLE IF NOT EXISTS `detail_tab_5` (
  `detail_id` INT UNSIGNED NOT NULL AUTO_INCREMENT,
  `photo_url` VARCHAR(2083) NOT NULL,
  `desc` TEXT NOT NULL,
  PRIMARY KEY (`detail_id`)
)AUTO_INCREMENT = 50000001;

